import dva from 'dva';
import { Component } from 'react';
import createLoading from 'dva-loading';
import history from '@tmp/history';

let app = null;

export function _onCreate() {
  const plugins = require('umi/_runtimePlugin');
  const runtimeDva = plugins.mergeConfig('dva');
  app = dva({
    history,
    
    ...(runtimeDva.config || {}),
  });
  
  app.use(createLoading());
  (runtimeDva.plugins || []).forEach(plugin => {
    app.use(plugin);
  });
  
  app.model({ namespace: 'global', ...(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/models/global.ts').default) });
app.model({ namespace: 'login', ...(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/models/login.ts').default) });
app.model({ namespace: 'setting', ...(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/models/setting.ts').default) });
app.model({ namespace: 'user', ...(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/models/user.ts').default) });
}

export function getApp() {
  return app;
}

export class _DvaContainer extends Component {
  render() {
    const app = getApp();
    app.router(() => this.props.children);
    return app.start()();
  }
}
