import React from 'react';
import { Router as DefaultRouter, Route, Switch } from 'react-router-dom';
import dynamic from 'umi/dynamic';
import renderRoutes from 'umi/_renderRoutes';
import history from '@tmp/history';
import RendererWrapper0 from '/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/.umi/LocaleWrapper.jsx'
import _dvaDynamic from 'dva/dynamic'

const Router = require('dva/router').routerRedux.ConnectedRouter;

const routes = [
  {
    "path": "/",
    "component": _dvaDynamic({
  
  component: () => import(/* webpackChunkName: "layouts__BasicLayout" */'../../layouts/BasicLayout'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
    "Routes": [require('../Authorized').default],
    "authority": [
      "admin",
      "user"
    ],
    "routes": [
      {
        "path": "/",
        "name": "welcome",
        "icon": "smile",
        "component": _dvaDynamic({
  
  component: () => import(/* webpackChunkName: "p__Welcome" */'../Welcome'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
        "exact": true
      },
      {
        "path": "/dashboard",
        "name": "dashboard",
        "component": _dvaDynamic({
  
  component: () => import(/* webpackChunkName: "layouts__MenuLayout" */'../../layouts/MenuLayout'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
        "authority": [
          "admin",
          "user"
        ],
        "routes": [
          {
            "path": "/dashboard",
            "redirect": "/dashboard/analysis",
            "exact": true
          },
          {
            "name": "analysis",
            "path": "/dashboard/analysis",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__dashboard__analysis__model.tsx' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/dashboard/analysis/model.tsx').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__dashboard__analysis" */'../dashboard/analysis'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "name": "analysis1",
            "path": "/dashboard/analysis1",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__dashboard__analysis1__model.tsx' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/dashboard/analysis1/model.tsx').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__dashboard__analysis1" */'../dashboard/analysis1'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "name": "analysis2",
            "path": "/dashboard/analysis2",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__dashboard__analysis2__model.tsx' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/dashboard/analysis2/model.tsx').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__dashboard__analysis2" */'../dashboard/analysis2'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "path": "/dashboard/list",
            "icon": "table",
            "name": "list",
            "routes": [
              {
                "name": "list1",
                "path": "/dashboard/list/list1",
                "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form1__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form1/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "layouts__MenuLayout" */'../form/form1'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
                "exact": true
              },
              {
                "name": "list2",
                "path": "/dashboard/list/list2",
                "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form1__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form1/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "layouts__MenuLayout" */'../form/form1'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
                "exact": true
              },
              {
                "name": "list3",
                "path": "/dashboard/list/list3",
                "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form1__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form1/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "layouts__MenuLayout" */'../form/form1'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
                "exact": true
              },
              {
                "component": () => React.createElement(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/node_modules/umi-build-dev/lib/plugins/404/NotFound.js').default, { pagesPath: 'src/pages', hasRoutesInConfig: true })
              }
            ]
          },
          {
            "component": () => React.createElement(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/node_modules/umi-build-dev/lib/plugins/404/NotFound.js').default, { pagesPath: 'src/pages', hasRoutesInConfig: true })
          }
        ]
      },
      {
        "path": "/form",
        "name": "form",
        "component": _dvaDynamic({
  
  component: () => import(/* webpackChunkName: "layouts__MenuLayout" */'../../layouts/MenuLayout'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
        "authority": [
          "admin",
          "user"
        ],
        "routes": [
          {
            "path": "/form",
            "redirect": "/form/form1",
            "exact": true
          },
          {
            "name": "form1",
            "path": "/form/form1",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form1__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form1/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__form__form1" */'../form/form1'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "name": "form2",
            "path": "/form/form2",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form2__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form2/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__form__form2" */'../form/form2'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "name": "form3",
            "path": "/form/form3",
            "component": _dvaDynamic({
  app: require('@tmp/dva').getApp(),
models: () => [
  import(/* webpackChunkName: 'p__form__form3__model.ts' */'/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/pages/form/form3/model.ts').then(m => { return { namespace: 'model',...m.default}})
],
  component: () => import(/* webpackChunkName: "p__form__form3" */'../form/form3'),
  LoadingComponent: require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/src/components/PageLoading/index').default,
}),
            "exact": true
          },
          {
            "component": () => React.createElement(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/node_modules/umi-build-dev/lib/plugins/404/NotFound.js').default, { pagesPath: 'src/pages', hasRoutesInConfig: true })
          }
        ]
      },
      {
        "component": () => React.createElement(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/node_modules/umi-build-dev/lib/plugins/404/NotFound.js').default, { pagesPath: 'src/pages', hasRoutesInConfig: true })
      }
    ]
  },
  {
    "component": () => React.createElement(require('/Users/xiaohuoni/Documents/GitHub/ant-design-pro/node_modules/umi-build-dev/lib/plugins/404/NotFound.js').default, { pagesPath: 'src/pages', hasRoutesInConfig: true })
  }
];
window.g_routes = routes;
const plugins = require('umi/_runtimePlugin');
plugins.applyForEach('patchRoutes', { initialValue: routes });

// route change handler
function routeChangeHandler(location, action) {
  plugins.applyForEach('onRouteChange', {
    initialValue: {
      routes,
      location,
      action,
    },
  });
}
history.listen(routeChangeHandler);
routeChangeHandler(history.location);

export { routes };

export default function RouterWrapper() {
  return (
<RendererWrapper0>
          <Router history={history}>
      { renderRoutes(routes, {}) }
    </Router>
        </RendererWrapper0>
  );
}
